// Written by Tilman Neumann (www.tilman-neumann.de) 2016, 2017
// Any commercial use of this software requires the written consent of the author.
// Usage and republication are free for non-commercial purposes, as long as this header is carried along.
// The author takes no warranties for the correctness of the software.
package de.tilman_neumann.math.factor.basics.congruence;

/**
 * A smooth congruence.
 */
public interface Smooth extends Congruence<Integer> {

	/**
	 * @return true if the Q-part of this smooth congruence is square
	 */
	boolean isExactSquare();
}
